/*

  Pilot flight display

*/

#ifndef PILOTDISPLAY_H
#define PILOTDISPLAY_H

#include <iostream>
#include <new>
#include <GL/glut.h>

class PilotDisplay {
public:
	PilotDisplay(int = 1);
	void render_hud(float, float, float, float, float, float, float, float ,float, int);
	void increase_hud_intensity();
	void decrease_hud_intensity();
	void displayRPY(float, float, float); //roll, pitch, yaw
	void displayPosition(float, float, float); //x, y, z
	void displayDirection(float, float, float); //x, y, z
	void displayHealth(int); //health
	void renderFlightControlPanel();
	bool RPYon;
	bool POSon;
	bool DIRon;
	bool HUDon;
	bool HEALTHon;
	bool crosshair_on;

private:
	int hud_intensity;
	void displayText(void*, char*);
};

#endif